repos.v2
Get repository
Get detaileds about a repository
GET
/
v2
/
repos
/
{id}
Get repository
curl --request GET \
--url https://api.ghostsecurity.ai/v2/repos/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ghostsecurity.ai/v2/repos/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ghostsecurity.ai/v2/repos/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"archived": true,
"cast_scan_enabled": true,
"clone_url": "<string>",
"created_at": "<string>",
"default_branch_name": "<string>",
"description": "<string>",
"full_name": "<string>",
"id": "<string>",
"installation_id": "<string>",
"languages": {},
"last_commit_hash": "<string>",
"last_commit_hash_link": "<string>",
"last_committed_at": "<string>",
"last_scanned_at": "<string>",
"name": "<string>",
"organization_id": "<string>",
"package_findings": 123,
"private": true,
"projects": [
{
"business_criticality": "<string>",
"cast_scan_enabled": true,
"components": [
{
"criticality": 123,
"description": "<string>",
"folder_name": "<string>",
"type": "<string>"
}
],
"created_at": "<string>",
"dependencies_file": "<string>",
"deployment_usage": "<string>",
"deployments": {},
"enabled": true,
"evidence": "<string>",
"exposure": "<string>",
"file_extensions": [
"<string>"
],
"findings_count": 123,
"frameworks": [
"<string>"
],
"has_custom_metadata": true,
"id": "<string>",
"languages": [
"<string>"
],
"last_committed_at": "<string>",
"last_scan_id": "<string>",
"last_scan_status": "<string>",
"last_scanned_at": "<string>",
"organization_id": "<string>",
"owner": "<string>",
"primary_framework": "<string>",
"primary_language": "<string>",
"provider": "<string>",
"purpose": "<string>",
"relative_path": "<string>",
"repo": {
"id": "<string>",
"name": "<string>",
"url": "<string>"
},
"scanner_business_criticality": "<string>",
"scanner_exposure": "<string>",
"scanner_summary": "<string>",
"sensitive_data_types": [
"<string>"
],
"size": 123,
"summary": "<string>",
"updated_at": "<string>",
"user_business_criticality": "<string>",
"user_exposure": "<string>",
"user_summary": "<string>"
}
],
"provider": "<string>",
"provider_id": "<string>",
"scan_branch": "<string>",
"secret_findings": 123,
"size": 123,
"summary": "<string>",
"updated_at": "<string>",
"url": "<string>"
}{
"error": "Request error"
}{
"error": "Request error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Repository ID
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get repository
